# ---------- Created by N. van Zalk ----------
Start-Transcript -Path C:\AxiaInstallScript.log -Append
Write-Host ''
Write-Host '-----------------------------------------------------------------------' -ForegroundColor Yellow
Write-Host '                       Installing Axia Driver           			   ' -ForegroundColor Yellow
Write-Host '-----------------------------------------------------------------------' -ForegroundColor Yellow
Write-Host ''

# ---------- Cleanup old files ----------
if (Test-Path -Path "C:\AxiaDriverInstall.log"){
    Write-Host "Deleting leftovers from previous installs..."
    Remove-Item -Path "C:\AxiaDriverInstall.log" -Recurse -Force -Confirm:$false -ErrorAction Ignore -Verbose
}

# ---------- Copy default config files. ----------
Copy-Item -Path "$PSScriptRoot\lwr.conf" -Destination "C:\ProgramData\" -Verbose -Recurse

# ---------- Install TLS_Corporation certificate. This prevents the Trust this publisher popup during installation  ----------
Write-Host 'Installing TLS_Corporation certificate...'
Import-Certificate -FilePath "$PSScriptRoot\TLS_Corporation.cer" -CertStoreLocation 'Cert:\LocalMachine\TrustedPublisher' -Verbose #Telos Certificaat voor Axia Driver?

# ---------- Install Axia IP Driver ---------- /passive(Shows Progressbar) /qn (Silent without GUI)
$Arguments = "/i axiaipdr-2.11.0.10-x64.msi /l*v C:\AxiaDriverInstall.log /qn /norestart USERNAME=""Triple"" COMPANYNAME=""Triple Audio B.V."" LICNUM=""AXWO24802922"" LICKEY=""XTR9756ZT3556R954K5TPX23T4TF"" AUDIODEVICECOUNT=8 DISABLECPL=1 SKIPKERNELCHECK=1"
Write-Host "Start installing Axia IP Driver with arguments [$Arguments]"
Write-Host "Note! Adjust the AudioDeviceCount to your use"
$ExitCode = (Start-Process msiexec -ArgumentList ($Arguments) -PassThru -Wait).ExitCode
Write-Host ("msiexec finished with ExitCode: [$ExitCode] current Win32 ExitCode: [$LastExitCode]")

Stop-Transcript